# frozen_string_literal: true

class Array
  def flatten_array(collection: self, accumulator: [])
    collection.each do |element|
      if element.is_a? Array
        flatten_array(collection: element, accumulator: accumulator)
      else
        accumulator << element
      end
    end
    accumulator
  end
end
